> For the complete documentation index, see [llms.txt](https://docs.metadium.com/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.metadium.com/en/api-reference/explorer-api.md).

# Explorer API

Metadium Explorer provides an Open API to deliver data. The available API types include Accounts, Blocks, Contracts, Transactions, Event logs, and Tokens.

### **API List**

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th><th data-hidden data-card-cover data-type="files"></th></tr></thead><tbody><tr><td><a href="/pages/04YrHPxHBA0I8Ki0Hp1m"><strong>Accounts</strong></a></td><td><a href="/pages/04YrHPxHBA0I8Ki0Hp1m">/pages/04YrHPxHBA0I8Ki0Hp1m</a></td><td></td></tr><tr><td><a href="/pages/yofasetSHBMVTyMiR5L9"><strong>Blocks</strong></a></td><td><a href="/pages/yofasetSHBMVTyMiR5L9">/pages/yofasetSHBMVTyMiR5L9</a></td><td></td></tr><tr><td><a href="/pages/uavSFyl3zUwwVWRd3TdK"><strong>Contracts</strong></a></td><td><a href="/pages/uavSFyl3zUwwVWRd3TdK">/pages/uavSFyl3zUwwVWRd3TdK</a></td><td></td></tr><tr><td><a href="/pages/mksNJ2A0O7pDX1hov2Pa"><strong>Transaction</strong></a><a href="/pages/mksNJ2A0O7pDX1hov2Pa"><strong>s</strong></a></td><td><a href="/pages/mksNJ2A0O7pDX1hov2Pa">/pages/mksNJ2A0O7pDX1hov2Pa</a></td><td></td></tr><tr><td><a href="/pages/1UstNQqs2xJFVSSCsjD8"><strong>Event logs</strong></a></td><td><a href="/pages/1UstNQqs2xJFVSSCsjD8">/pages/1UstNQqs2xJFVSSCsjD8</a></td><td></td></tr><tr><td><a href="/pages/LNs3bvgLOjc0DtxphOrL"><strong>Tokens</strong></a></td><td><a href="/pages/LNs3bvgLOjc0DtxphOrL">/pages/LNs3bvgLOjc0DtxphOrL</a></td><td></td></tr></tbody></table>

### **Network URI**

* Mainnet: <https://api.metadium.com/{api}>
* Testnet: <https://testnetapi.metadium.com/{api}>

### HEADER

* Content-Type: application/json
* api-key: api key

**The key to use the API can be obtained from Metadium Explorer.**

* Mainnet: <https://explorer.metadium.com/my-account>
* Testnet: <https://testnetexplorer.metadium.com/my-account>

{% hint style="info" %}
The Metadium Explorer Open API is provided as a community service without any guarantee, so please only use what is necessary and refrain from using it further.

Please obtain a free API Key Token within the [My Account -> API Keys](https://testnetexplorer.metadium.com/my-account) section to use the API service.  The API Key Token can be used with all your API requests.

If you use the API for commercial applications or websites, you must display a link back or indicate "Powered by Metadium.io APIs."
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.metadium.com/en/api-reference/explorer-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
